JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const secretView = await client.secrets.retrieve('name');
console.log(secretView.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
secret_view = client.secrets.retrieve(
"name",
)
print(secret_view.id)curl --request GET \
--url https://api.runloop.ai/v1/secrets/{name} \
--header 'Authorization: Bearer <token>'
{
"id": "<string>",
"name": "<string>",
"create_time_ms": 123,
"update_time_ms": 123
}secrets
Get a Secret.
Retrieve a Secret by name. The secret value is not included for security.
GET
/
v1
/
secrets
/
{name}
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const secretView = await client.secrets.retrieve('name');
console.log(secretView.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
secret_view = client.secrets.retrieve(
"name",
)
print(secret_view.id)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The name of the Secret to retrieve.
Response
Successfully retrieved the Secret. Value is omitted for security.
A Secret represents a key-value pair that can be securely stored and used in Devboxes as environment variables.
The unique identifier of the Secret.
The globally unique name of the Secret. Used as the environment variable name in Devboxes.
Creation time of the Secret (Unix timestamp in milliseconds).
Last update time of the Secret (Unix timestamp in milliseconds).
Was this page helpful?
